Welcart+独自SSL+Lightbox環境でSSLの警告を解消するには

このサイトではLightboxプラグイン『wp-jquery-lightbox』を使っているのですが、カート等のSSLページ(https://…)のページへアクセスすると警告が出ていました。

Welcart公式ページの開発フォーラムには『SSL でエラーを出さないおまじない(強化版)』というトピックがあるのですが、今回はこの対策を施しても警告が解消されませんでした。

そこで原因を調べてみたところ、Lightboxプラグインの記述を修正することで警告が解消されましたので、以下にその内容をご紹介します。

該当のファイルはLightboxプラグインに同封されている wp-jquery-lightbox.php というファイルです。

このファイルの53行目に

http://ajax.googleapis.com/ajax/libs/jquery


という記述がありますが、これを

https://ajax.googleapis.com/ajax/libs/jquery


に書き換えてやればOKです。

SSLの警告でお困りの方、一度お試しください(^^)

【後日追記】
2011/5/27時点でのwp-jquery-lightboxの最新バージョン1.3.2は
デフォルトでSSLに対応しているようです。